{ Emitter
 (C) 2005-2012, Andreas Berg. All Rights Reserved. }
unit _emit;

interface

uses
 _common;

var
 RepList           : array of string;
 RepCount          : TDefValue;

procedure InitReport;
procedure AddRepItem(msg: string);

procedure EmitLn(s: string);

implementation

uses
 _source;

procedure InitReport;
begin
   SetLength(RepList, 1);
   RepCount:= 0;
end;

procedure AddRepItem(msg: string);
begin
   SetLength(RepList, RepCount + 1);
   RepList[RepCount]:= msg;
   Inc(RepCount);
end;



procedure EmitLn(s: string);
begin
   Writeln(s);
   AddRepItem(s);
end;



begin

end.
