{ Functions
 (C) 2005-2012, Andreas Berg. All Rights Reserved. }
unit _func;

interface

function MakeTime(useMilli: boolean): string;
function InsertBlanks(s: string; cnt: integer): string;

implementation

uses
 SysUtils, _conv;

function MakeTime(useMilli: boolean): string;
var
 hh, mm, ss, ms    : word;
 s                 : string;
begin
   DeCodeTime(Time, hh, mm, ss, ms);
   s:= DigitalNum(hh, '0', 2) + ':' + DigitalNum(mm, '0', 2) +
    ':' + DigitalNum(ss, '0', 2);
   if useMilli then s:= s + ':' + DigitalNum(ms, '0', 4);
   MakeTime:= s;
end;

function InsertBlanks(s: string; cnt: integer): string;
var
 ss: string;
 i : integer;
begin
   if length(s) = cnt then begin
      ss:= s;
   end else begin
      if length(s) < cnt then begin
         ss:= s;
         for i:= length(s) + 1 to cnt do
          ss:= ss + ' ';
      end else begin
         ss:= copy(s, 1, cnt);
      end;
   end;
   InsertBlanks:= ss;
end;



end.
