{ Progress Bar / (C) 2006-2012, Andreas Berg. All Rights Reserved. }
unit _pbar;

interface

var
 BarX              : integer;
 BarY              : integer;
 BarSize           : integer;

procedure DrawProgressBar(x, y, size: integer; curval, maxval: int64);

implementation

uses
 Crt;

procedure DrawProgressBar(x, y, size: integer; curval, maxval: int64);
var
 i                 : integer;
 perc, cperc       : integer;
begin
   gotoxy(x, y);
   if maxval > 0 then begin
      perc:= (curval*100) div maxval;
      if size > 0 then begin
         for i:= 0 to size - 1 do begin
            cperc:= (i*100) div size;
            if (cperc <= perc) and (curval > 0) then begin
               write('=');
            end else begin
               write('-');
            end;
         end;
      end;
   end;

end;



begin
   BarSize:= 60;
end.

